org.apache.ignite.spi.discovery

## Interface DiscoveryDataBag.JoiningNodeDiscoveryData

Enclosing class:
  DiscoveryDataBag

    public static interface DiscoveryDataBag.JoiningNodeDiscoveryData

Facade interface representing `DiscoveryDataBag` object with discovery data from joining node.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `hasJoiningNodeData()`
`Serializable` `joiningNodeData()`
`UUID` `joiningNodeId()`

### Method Detail

#### joiningNodeId

    UUID joiningNodeId()

#### hasJoiningNodeData

    boolean hasJoiningNodeData()

#### joiningNodeData

    Serializable joiningNodeData()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020